# Information Schema USERS Table

{% hint style="info" %}
This table is available from [MariaDB 11.5](/docs/release-notes/community-server/old-releases/11.5/what-is-mariadb-115.md).
{% endhint %}

The [Information Schema](/docs/server/reference/system-tables/information-schema.md) `USERS` table contains information about users, [password expiry](/docs/server/security/user-account-management/user-password-expiry.md), and the limits set by [max\_password\_errors](/docs/server/server-management/variables-and-modes/server-system-variables.md#max_password_errors). Unprivileged users can access their own data, which is different to what [mysql.global\_priv](/docs/server/reference/system-tables/the-mysql-database-tables/mysql-global_priv-table.md) provides.

It contains the following columns:

| Column                     | Description                                                                                                                                                                                                                                                                                                                                                         |
| -------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| USER                       | In the format user\_name\@host\_name.                                                                                                                                                                                                                                                                                                                               |
| PASSWORD\_ERRORS           | A current accumulated value of consecutive password login failures. If password\_errors is not applicable for the user (see [max\_password\_errors](/docs/server/server-management/variables-and-modes/server-system-variables.md#max_password_errors)), PASSWORD\_ERRORS will be NULL. Only password login attempts with nonempty password are taken into account. |
| PASSWORD\_EXPIRATION\_TIME | A timestamp with the exact point in time calculated from password\_last\_changed and password\_lifetime (i.e. days) stored for the user.                                                                                                                                                                                                                            |

<sub>*This page is licensed: CC BY-SA / Gnu FDL*</sub>

{% @marketo/form formId="4316" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://mariadb.com/docs/server/reference/system-tables/information-schema/information-schema-tables/information-schema-users-table.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
